# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::CatmullRomInterpolatorFloat Class Reference

Interpolates `float` values using a CatmullRomInterpolator. More...

`#include <CatmullRomInterpolator.hpp>`

Inheritance diagram for vl::CatmullRomInterpolatorFloat:

List of all members.

## Public Member Functions

| CatmullRomInterpolatorFloat ()
| CatmullRomInterpolatorFloat (const std::vector< float > &path)
float | computePoint (float t) const
| Samples the interpolator at the given point.
CatmullRomInterpolatorFloat_T * | interpolator ()
const CatmullRomInterpolatorFloat_T * | interpolator () const
void | setInterpolator (CatmullRomInterpolatorFloat_T *interpolator)

## Protected Attributes

vl::ref < CatmullRomInterpolatorFloat_T > | mInterpolator

## Detailed Description

Interpolates `float` values using a CatmullRomInterpolator.

Definition at line 193 of file CatmullRomInterpolator.hpp.

## Constructor & Destructor Documentation

vl::CatmullRomInterpolatorFloat::CatmullRomInterpolatorFloat | ( | ) | `[inline]`

Definition at line 196 of file CatmullRomInterpolator.hpp.

vl::CatmullRomInterpolatorFloat::CatmullRomInterpolatorFloat | ( | const std::vector< float > & | path ) | `[inline]`

Definition at line 197 of file CatmullRomInterpolator.hpp.

## Member Function Documentation

float vl::CatmullRomInterpolatorFloat::computePoint | ( | float | t ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorFloat.

Definition at line 198 of file CatmullRomInterpolator.hpp.

References vl::CatmullRomInterpolator< T >::computePoint(), and interpolator().

CatmullRomInterpolatorFloat_T* vl::CatmullRomInterpolatorFloat::interpolator | ( | ) | `[inline]`

Definition at line 199 of file CatmullRomInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

Referenced by computePoint(), and setInterpolator().

const CatmullRomInterpolatorFloat_T* vl::CatmullRomInterpolatorFloat::interpolator | ( | ) | const`[inline]`

Definition at line 200 of file CatmullRomInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

void vl::CatmullRomInterpolatorFloat::setInterpolator | ( | CatmullRomInterpolatorFloat_T * | interpolator ) | `[inline]`

Definition at line 201 of file CatmullRomInterpolator.hpp.

References interpolator(), and mInterpolator.

## Member Data Documentation

vl::ref<CatmullRomInterpolatorFloat_T> vl::CatmullRomInterpolatorFloat::mInterpolator`[protected]`

Definition at line 203 of file CatmullRomInterpolator.hpp.

Referenced by interpolator(), and setInterpolator().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/CatmullRomInterpolator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:32.
Permission is granted to use this page to write and publish articles regarding Visualization Library.